=== debian/changelog ===
kdeconnect (1.3.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (1.3.0) (LP: #1762479)
  * Install nautilus extension script
  * Update watchfile

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 10 Apr 2018 08:13:13 +0100

kdeconnect (1.2.1-0ubuntu2) bionic; urgency=medium

  * Add misssing qml module runtime dependencies.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 06 Apr 2018 10:27:02 +0100

kdeconnect (1.2.1-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Update lintian overrides and fix other control fields
  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (1.2.1)
  * Update KF5 build depends to new required minimum of 5.42.0
  * Install translations

  [ Clive Johnston ]
  * New upstream release (1.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 28 Jan 2018 06:58:10 +0000
