=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, openbox, dbus (>= 1.8), dpkg-dev
Restrictions: build-needed
