## kdeconnect 1.3.1

=== kio/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     kdeconnectinterfaces
     Qt5::Core
     Qt5::Gui
+    Qt5::Network
     KF5::KIOCore
     KF5::I18n
 )
