=== debian/changelog ===
kdeconnect (1.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Drop --parallel dh option, obsolete with dh >= 11
  * Update Vcs fields

  [ Nicholas D Steeves ]
  * Enable GPG signature verification of upstream tarball.
  * Add Albert Vaca Cintora's (the upstream maintainer) gpg key.
  * New upstream version 1.3.1.
  * Use 'wrap-and-sort -bst' to sort dependencies.
  * Add fix_typos_in_lanlinkprovider.cpp.patch
  * Update upstream homepage URL.
  * Use secure URL for copyright format.
  * Add upstream metadata.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 01 Jun 2018 16:07:13 -0400

kdeconnect (1.3.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (1.2.1).
  * Set the team as the maintainer
  * Drop plasma-workspace runtime dependency
  * Update testsuite
  * Bump to Standards-Version 4.1.4
  * Add suggests:
     + plasma-workspace, for the plasmoid
     + python-nautilus for the nautilus integration
  * New upstream release (1.3.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * Refresh patches
  * Release to unstable

  [ Vangelis Mouhtsis ]
  * debian/{control,compat}: Bump DH version level to 11.
  * debian/control: Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/control: Update Vcs-*: fields to salsa.debian.org.

  [ Scarlett Clark ]
  * Add missing qml modules

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Apr 2018 17:24:16 +0200

kdeconnect (1.0.3-1) unstable; urgency=medium

  * New upstream release (1.0.3).
  * debian/watch: use https
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update vcs fields
  * Update Homepage field
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Refresh patches
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Jul 2017 20:22:08 +0200
