## kdeconnect 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(KDECONNECT_VERSION_MAJOR 1)
 set(KDECONNECT_VERSION_MINOR 3)
-set(KDECONNECT_VERSION_PATCH 0)
+set(KDECONNECT_VERSION_PATCH 3)
 set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")
 
 set(QT_MIN_VERSION "5.7.0")
@@ -13,7 +13,7 @@
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick)
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick Network)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications KIO KCMUtils)
 find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS DocTools)
