=== debian/changelog ===
kdeconnect (1.3.3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream bugfix release (1.3.3) (LP: #1812408)
  * Update watch file.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 18 Jan 2019 19:49:13 +0000
