=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends:
 cmake (>= 3.0~),
 debhelper (>= 11~),
 extra-cmake-modules (>= 5.42.0~),
 libfakekey-dev,
 libkf5config-dev,
 libkf5configwidgets-dev (>= 5.42.0~),
 libkf5dbusaddons-dev (>= 5.42.0~),
 libkf5declarative-dev (>= 5.42.0~),
 libkf5doctools-dev (>= 5.42.0~),
 libkf5i18n-dev (>= 5.42.0~),
 libkf5iconthemes-dev (>= 5.42.0~),
 libkf5kcmutils-dev (>= 5.42.0~),
 libkf5kio-dev (>= 5.42.0~),
 libkf5notifications-dev (>= 5.42.0~),
 libkf5wayland-dev (>= 4:5.42.0~),
 libqca-qt5-2-dev (>= 2.1.0~),
 libqca-qt5-2-plugins,
 libqt5x11extras5-dev (>= 5.7.0~),
 libx11-dev,
 libxtst-dev,
 pkg-config,
 pkg-kde-tools,
 qtbase5-dev (>= 5.7.0~),
 qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://community.kde.org/KDEConnect
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdeconnect.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdeconnect

Package: kdeconnect
Architecture: any
Depends:
 kde-cli-tools,
 libqca-qt5-2-plugins,
 plasma-framework,
 qml-module-qtquick-controls,
 qml-module-qtquick-controls2,
 qml-module-qtquick-layouts,
 qml-module-qtquick2,
 sshfs,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: plasma-workspace, python-nautilus
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.
