=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
 # hardening options stuff
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -12,10 +10,7 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
 %:
-	dh $@ --with=kf5,pkgkde-symbolshelper --parallel
-
-override_dh_install:
-	dh_install --list-missing
+	dh $@ --with=kf5,pkgkde-symbolshelper
 
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
