=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://download.kde.org/stable/kdeconnect/([\d\.]+)/src/kdeconnect-kde@ANY_VERSION@@ARCHIVE_EXT@
