## kdeconnect 1.3.4

=== debian/changelog ===
kdeconnect (1.3.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (1.3.4).
  * Update watch file.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 25 Mar 2019 13:01:48 +0000

kdeconnect (1.3.3-2ubuntu2) disco; urgency=medium

  * Disable debian patch that fails to fix flaky ssl socket test on
    Ubuntu infra, and for now replace with patch that skips the test.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 16 Jan 2019 21:36:30 +0000

kdeconnect (1.3.3-2ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - Skip failing tests on unsupported s390x.
    - Update watch file.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 08:44:40 +0000

kdeconnect (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add ssl_socket_race_fix.diff to fix a race condition on tests.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 30 Dec 2018 17:33:01 -0300

kdeconnect (1.3.3-1ubuntu1) disco; urgency=medium

  * Skip failing tests on unsupported s390x.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Nov 2018 07:26:32 +0000

kdeconnect (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify handling of build flags: debhelper since compat 9 already passes
    all the right flags to cmake, so use the dpkg-buildflags envvars to only
    link in as-needed mode.
  * Stop using the pkgkde-symbolshelper dh addon, since there are no symbols.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Drop the Debian-provided kdeconnect-cli man page: very outdated, not
    touched in the last 4 years, and thus not useful. (Closes: #900710)

 -- Pino Toscano <pino@debian.org>  Mon, 12 Nov 2018 08:57:34 +0100
