## kdeconnect 1.3.5

=== debian/changelog ===
kdeconnect (1.3.5-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (1.3.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 12:29:40 +0100
