=== cli/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,14 @@
 add_executable(kdeconnect-cli kdeconnect-cli.cpp)
 ecm_mark_nongui_executable(kdeconnect-cli)
 
+target_include_directories(kdeconnect-cli PUBLIC ${CMAKE_BINARY_DIR})
+
 target_link_libraries(kdeconnect-cli
     kdeconnectinterfaces
+    kdeconnectcore
     KF5::CoreAddons
     KF5::I18n
 )
 
 install(TARGETS kdeconnect-cli ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(FILES kdeconnect.zsh RENAME _kdeconnect DESTINATION ${ZSH_AUTOCOMPLETE_DIR})
