=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
 set(kcm_SRCS
     kcm.cpp
 )
+
+set(kcm_wrapper_SRCS main.cpp)
+add_executable(kdeconnect-settings ${kcm_wrapper_SRCS})
+target_link_libraries(kdeconnect-settings KF5::I18n KF5::KCMUtils)
 
 ki18n_wrap_ui(kcm_SRCS kcm.ui)
 
@@ -22,6 +26,7 @@
 )
 
 install(TARGETS kcm_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
+install(TARGETS kdeconnect-settings ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES org.kde.kdeconnect.kcm.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES kcm_kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR})
