=== debian/changelog ===
kdeconnect (1.4-0ubuntu5) focal; urgency=medium

  * Add patch to fix device filesystem browsing with openssh 8.2. Thanks
    to Antonio Rojas from ArchLinux. (LP: #1872075)
    - debian/patches: kdeconnect-openssh-8.2.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Apr 2020 13:39:05 +0100

kdeconnect (1.4-0ubuntu4) focal; urgency=medium

  * debian/control: Changes recommended/requested by KDE developers.
    - Drop suggests on plasma-workspace. Installing just this in a non
      Plasma environment will not make the plasmoid usable, and the non
      plasma application indicator works in such an environment without
      plasma-workspace being installed. The suggests is therefore of no
      value, and may confuse users.
    - Update description to better describe latest device support and
      capabilities.
    - Change homepage to the new project website.

 -- Rik Mills <rikmills@kde.org>  Wed, 01 Apr 2020 18:56:00 +0100

kdeconnect (1.4-0ubuntu3) focal; urgency=medium

  * Recommend kpeople-vcard.

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Mar 2020 12:50:04 +0100

kdeconnect (1.4-0ubuntu2) focal; urgency=medium

  * Add dependency qml-module-org-kde-people for the kdeconnect-sms app.
    (LP #1864389)

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2020 22:23:47 +0000

kdeconnect (1.4-0ubuntu1) focal; urgency=medium

  * New upstream release (1.4)
  * New build depends on libkf5pulseaudioqt-dev,kirigami2-dev,
    libkf5people-dev and qtmultimedia5-dev
  * Drop upstream applied fix_typos_in_lanlinkprovider.cpp.patch.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Dec 2019 21:30:08 +0000
