=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with=kf5

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
